Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class Node.FieldAttributeAccessor

    java.lang.Object
      de.grogra.persistence.FieldAccessor
          de.grogra.graph.impl.Node.FieldAttributeAccessor

All Implemented Interfaces:
  AttributeAccessor, BooleanAttributeAccessor, ByteAttributeAccessor, CharAttributeAccessor, DoubleAttributeAccessor, FloatAttributeAccessor, IntAttributeAccessor, LongAttributeAccessor, ObjectAttributeAccessor, ShortAttributeAccessor

Enclosing class:
  Node

    public static class Node.FieldAttributeAccessor

extends FieldAccessor
implements BooleanAttributeAccessor, ByteAttributeAccessor, ShortAttributeAccessor, CharAttributeAccessor, IntAttributeAccessor, LongAttributeAccessor, FloatAttributeAccessor, DoubleAttributeAccessor, ObjectAttributeAccessor

Field Summary

Fields inherited from class de.grogra.persistence.FieldAccessor
`field`

Constructor Summary
`Node.FieldAttributeAccessor(Attribute attr, Node.NType.Field field)`
`Node.FieldAttributeAccessor(Attribute attr, Node.NType.Field field, double field2Attr)`

Method Summary
`Attribute` | `getAttribute()`
`boolean` | `getBoolean(java.lang.Object object, GraphState gs)`
`byte` | `getByte(java.lang.Object object, GraphState gs)`
`char` | `getChar(java.lang.Object object, GraphState gs)`
`double` | `getDouble(java.lang.Object object, GraphState gs)`
`Field` | `getField()`
`float` | `getFloat(java.lang.Object object, GraphState gs)`
`int` | `getInt(java.lang.Object object, GraphState gs)`
`long` | `getLong(java.lang.Object object, GraphState gs)`
`java.lang.Object` | `getObject(java.lang.Object object, GraphState gs)`
`java.lang.Object` | `getObject(java.lang.Object object, java.lang.Object placeIn, GraphState gs)`
`short` | `getShort(java.lang.Object object, GraphState gs)`
`boolean` | `isWritable(java.lang.Object object, GraphState gs)`
`boolean` | `setBoolean(java.lang.Object object, boolean value, GraphState gs)`
`byte` | `setByte(java.lang.Object object, byte value, GraphState gs)`
`char` | `setChar(java.lang.Object object, char value, GraphState gs)`
`double` | `setDouble(java.lang.Object object, double value, GraphState gs)`
`float` | `setFloat(java.lang.Object object, float value, GraphState gs)`
`int` | `setInt(java.lang.Object object, int value, GraphState gs)`
`long` | `setLong(java.lang.Object object, long value, GraphState gs)`
`java.lang.Object` | `setObject(java.lang.Object object, java.lang.Object value, GraphState gs)`
`short` | `setShort(java.lang.Object object, short value, GraphState gs)`
`java.lang.Object` | `setSubfield(java.lang.Object object, FieldChain field, int[] indices, java.lang.Object value, GraphState gs)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.persistence.FieldAccessor
`getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getObject, getShort, getType, setBoolean, setByte, setChar, setDouble, setFloat, setInt, setLong, setObject, setShort, setSubfield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.graph.AttributeAccessor
`getType`

Constructor Detail

### Node.FieldAttributeAccessor

    public Node.FieldAttributeAccessor(Attribute attr,
                                       Node.NType.Field field)

### Node.FieldAttributeAccessor

    public Node.FieldAttributeAccessor(Attribute attr,
                                       Node.NType.Field field,
                                       double field2Attr)

Method Detail

### getAttribute

    public final Attribute getAttribute()

  Specified by:
    `getAttribute` in interface `AttributeAccessor`

### getBoolean

    public boolean getBoolean(java.lang.Object object,
                              GraphState gs)

  Specified by:
    `getBoolean` in interface `BooleanAttributeAccessor`

### getByte

    public byte getByte(java.lang.Object object,
                        GraphState gs)

  Specified by:
    `getByte` in interface `ByteAttributeAccessor`

### getChar

    public char getChar(java.lang.Object object,
                        GraphState gs)

  Specified by:
    `getChar` in interface `CharAttributeAccessor`

### getDouble

    public double getDouble(java.lang.Object object,
                            GraphState gs)

  Specified by:
    `getDouble` in interface `DoubleAttributeAccessor`

### getField

    public final Field getField()

  Specified by:
    `getField` in interface `AttributeAccessor`

### getFloat

    public float getFloat(java.lang.Object object,
                          GraphState gs)

  Specified by:
    `getFloat` in interface `FloatAttributeAccessor`

### getInt

    public int getInt(java.lang.Object object,
                      GraphState gs)

  Specified by:
    `getInt` in interface `IntAttributeAccessor`

### getLong

    public long getLong(java.lang.Object object,
                        GraphState gs)

  Specified by:
    `getLong` in interface `LongAttributeAccessor`

### getObject

    public final java.lang.Object getObject(java.lang.Object object,
                                            GraphState gs)

  Specified by:
    `getObject` in interface `ObjectAttributeAccessor`

### getObject

    public java.lang.Object getObject(java.lang.Object object,
                                      java.lang.Object placeIn,
                                      GraphState gs)

  Specified by:
    `getObject` in interface `ObjectAttributeAccessor`

### getShort

    public short getShort(java.lang.Object object,
                          GraphState gs)

  Specified by:
    `getShort` in interface `ShortAttributeAccessor`

### isWritable

    public boolean isWritable(java.lang.Object object,
                              GraphState gs)

  Specified by:
    `isWritable` in interface `AttributeAccessor`

### setBoolean

    public boolean setBoolean(java.lang.Object object,
                              boolean value,
                              GraphState gs)

  Specified by:
    `setBoolean` in interface `BooleanAttributeAccessor`

### setByte

    public byte setByte(java.lang.Object object,
                        byte value,
                        GraphState gs)

  Specified by:
    `setByte` in interface `ByteAttributeAccessor`

### setChar

    public char setChar(java.lang.Object object,
                        char value,
                        GraphState gs)

  Specified by:
    `setChar` in interface `CharAttributeAccessor`

### setDouble

    public double setDouble(java.lang.Object object,
                            double value,
                            GraphState gs)

  Specified by:
    `setDouble` in interface `DoubleAttributeAccessor`

### setFloat

    public float setFloat(java.lang.Object object,
                          float value,
                          GraphState gs)

  Specified by:
    `setFloat` in interface `FloatAttributeAccessor`

### setInt

    public int setInt(java.lang.Object object,
                      int value,
                      GraphState gs)

  Specified by:
    `setInt` in interface `IntAttributeAccessor`

### setLong

    public long setLong(java.lang.Object object,
                        long value,
                        GraphState gs)

  Specified by:
    `setLong` in interface `LongAttributeAccessor`

### setObject

    public java.lang.Object setObject(java.lang.Object object,
                                      java.lang.Object value,
                                      GraphState gs)

  Specified by:
    `setObject` in interface `ObjectAttributeAccessor`

### setShort

    public short setShort(java.lang.Object object,
                          short value,
                          GraphState gs)

  Specified by:
    `setShort` in interface `ShortAttributeAccessor`

### setSubfield

    public java.lang.Object setSubfield(java.lang.Object object,
                                        FieldChain field,
                                        int[] indices,
                                        java.lang.Object value,
                                        GraphState gs)

  Specified by:
    `setSubfield` in interface `ObjectAttributeAccessor`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD